/* Lt eine LED an PB0 ein paarmal blinken und zeigt anschlieend an der LED den Zustand eines
 * Tasters an PB1 an, der geffnet ber 10k an Masse liegt und geschlossen an Vcc
 *
 * 03/2005 Florian Schffer, http://www.blafusel.de
 *
 */

#include <inttypes.h>
#include <avr/io.h>
#include <avr/delay.h>		// definiert _delay_ms() 

#define delay_us(us)  _delay_loop_2 (((F_CPU/4000)*us)/1000)		// wartet s

// wartet ms Millisekunden
void delay_ms(int ms)
{
  int t;
  for(t=0; t<=ms; t++)
  _delay_ms(1); 
}

void main()
{
	unsigned int i;

	DDRB = (1 << DDB0);					// PB0 als Ausgang
	for (i=0; i<=10; i++)
	{
		PORTB = PINB ^ ( 1 << PB0 );		// LED an PB0 umschalten
		delay_ms (1000);
	}	

	DDRB &= ~(1 << DDB1);					// PB1 als Eingang
	while (1)
	{
		if (PINB & (1 << PB1))				// wenn PB1 geschlossen (HIGH)
			PORTB = PORTB | (1 << DDB0);	// LED an PB0 ein
		else
			PORTB = PORTB & ~(1 << DDB0);	// sonst LED aus
	}
}


